import request from "@/utils/request";

// 查询实时监测
export function getRealData(query) {
  return request({
    url: "/business/screen/env/realData",
    method: "get",
    params: query,
  });
}
// 查询设备25H数据

export function getDeviceData(query) {
  return request({
    url: "/business/screen/env/deviceData",
    method: "get",
    params: query,
  });
}
// 查询历史数据右上
export function getRtData(query) {
  return request({
    url: "/business/screen/env/carouselLineChartUp",
    method: "get",
    params: query,
  });
}
// 查询历史数据右中
export function getRcData(query) {
  return request({
    url: "/business/screen/env/carouselLineChartDow",
    method: "get",
    params: query,
  });
}

// 查询设备位置
export function getDeviceStatus(query) {
  return request({
    url: "/business/screen/env/deviceStatus",
    method: "get",
    params: query,
  });
}

// 查询近7日报警信息
export function getRecentSevDaysAlarms(query) {
  return request({
    url: "/business/screen/env/videoMonitoringList",
    method: "get",
    params: query,
  });
}
// 查询设备状态分析
export function getDeviceStatusNum(query) {
  return request({
    url: "/business/screen/env/deviceStatusNum",
    method: "get",
    params: query,
  });
}
